Subject: Re: [PATCH v4 net-next 3/6] net/ipv6: Add l3mdev check to ipv6_chk_addr_and_flags

From: Ido Schimmel <[email-masked]>
Date: Wed, 14 Mar 2018 14:25:08 +0200

On Tue, Mar 13, 2018 at 08:29:38AM -0700, David Ahern wrote:
> Lookup the L3 master device for the passed in device. Only consider
> addresses on netdev's with the same master device. If the device is
> not enslaved or is NULL, then the l3mdev is NULL which means only
> devices not enslaved (ie, in the default domain) are considered.
> 
> Signed-off-by: David Ahern <[email-masked]>

Reviewed-by: Ido Schimmel <[email-masked]>

Thanks for working on this. I also encountered this problem when working
on the selftests, but didn't have an immediate use case which required
me to use a non-linklocal address as a gateway.